View Issue Details

IDProjectCategoryView StatusLast Update
0001278SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.6 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001278: The IDatabaseWriterFilter should always be passed the source table, not the target table
DescriptionThe IDatabaseWriterFilter should always be passed the source table, not the target table because the CsvData is based on the source data, not the target data. If a column is missing the target table then the alignment of the columns to the data is wrong.

Activities

chenson

2013-07-22 17:52

administrator   ~0000323

prepare for release

Related Changesets

SymmetricDS: master 08092eee

2013-06-13 10:32:01

chenson

Details Diff
0001278: The IDatabaseWriterFilter should always be passed the source table, not the target table
0001278
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-06-13 10:23 chenson New Issue
2013-06-13 10:23 chenson Status new => assigned
2013-06-13 10:23 chenson Assigned To => chenson
2013-06-13 11:21 chenson Status assigned => resolved
2013-06-13 11:21 chenson Fixed in Version => 3.5.0
2013-06-13 11:21 chenson Resolution open => fixed
2013-07-22 17:52 chenson Note Added: 0000323
2013-07-22 17:52 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7389
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 08092eee